RSTT: taup::SplitDistance Class Reference

RSTT 3.1.0 Regional Seismic Travel Time

Public Member Functions | List of all members
taup::SplitDistance Class Reference

Function object used by the Brents minF function to find the minimum (or maximum) of a retrograde layer. The function operator() defines a TauPSite::integrateDistance(...) function as the functional for finding the minimum for some ray parameter p. This object is only used in the TauPModel::findLimits(...) function when a retrograde layer is detected. More...

`#include <TauPSiteFunctionals.h>`

## Public Member Functions
| SplitDistance (TauPSite *tps)
| Standard constructor sets the internal TauPModel and a set of velocity layers. More...
| SplitDistance (const SplitDistance &sd)
| Copy constructor. More...
virtual | ~SplitDistance ()
| Destructor. More...
SplitDistance & | operator= (const SplitDistance &sd)
| Assignment operator. More...
double | operator() (double p)
| Function object operator() definition. This operator returns the ray distance as a function of the input ray parameter p. More...

## Detailed Description

Function object used by the Brents minF function to find the minimum (or maximum) of a retrograde layer. The function operator() defines a TauPSite::integrateDistance(...) function as the functional for finding the minimum for some ray parameter p. This object is only used in the TauPModel::findLimits(...) function when a retrograde layer is detected.

Definition at line 76 of file TauPSiteFunctionals.h.

## Constructor & Destructor Documentation

## ◆ SplitDistance() [1/2]

taup::SplitDistance::SplitDistance | ( | TauPSite * | tps | ) |
| inline

Standard constructor sets the internal TauPModel and a set of velocity layers.

Definition at line 82 of file TauPSiteFunctionals.h.

## ◆ SplitDistance() [2/2]

taup::SplitDistance::SplitDistance | ( | const SplitDistance & | sd | ) |
| inline

Copy constructor.

Definition at line 85 of file TauPSiteFunctionals.h.

## ◆ ~SplitDistance()

virtual taup::SplitDistance::~SplitDistance | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 88 of file TauPSiteFunctionals.h.

## Member Function Documentation

## ◆ operator()()

double taup::SplitDistance::operator() | ( | double | p | ) |

Function object operator() definition. This operator returns the ray distance as a function of the input ray parameter p.

## ◆ operator=()

SplitDistance& taup::SplitDistance::operator= | ( | const SplitDistance & | sd | ) |
| inline

Assignment operator.

Definition at line 91 of file TauPSiteFunctionals.h.

The documentation for this class was generated from the following file:

- rstt/SLBM/include/TauPSiteFunctionals.h